public abstract class VirtualCircuit implements Copyable{
        private String origNode;
        private String termNode;

        public static final String EOL_STRING =
                System.getProperty("line.separator");
        public static final String SPACE = " ";

        public String getOrigNode(){ return origNode; }
		public String getTermNode(){ return termNode; }

		public abstract String getVirtualCircuitType();

        public String getVCEndpoints(){
                return origNode + SPACE + termNode;
        }

        public void setOrigNode(String newOrigNode){ origNode = newOrigNode; }
        public void setTermNode(String newTermNode){ termNode = newTermNode; }
}